Index: orxonox/trunk/src/lib/gui/gui_keys.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui_keys.cc	(revision 4835)
+++ orxonox/trunk/src/lib/gui/gui_keys.cc	(revision 4836)
@@ -29,5 +29,5 @@
 
 /**
-   \brief Creates an Keyboard-Frame
+ *  Creates an Keyboard-Frame
 */
 GuiKeys::GuiKeys()
@@ -77,5 +77,5 @@
 
 /**
-   \brief Destructs the Keys-stuff
+ *  Destructs the Keys-stuff
 */
 GuiKeys::~GuiKeys()
@@ -93,6 +93,6 @@
 ////////////
 /**
-   \brief Creates new inputs for a player
-   \param player the name of the Player
+ *  Creates new inputs for a player
+ * @param player the name of the Player
 */
 PlayerKeys::PlayerKeys(char* player)
@@ -147,5 +147,5 @@
 
 /**
-   \returns the OpenButton of a Player
+ * @returns the OpenButton of a Player
 */
 Button* PlayerKeys::getOpenButton()
@@ -158,6 +158,6 @@
 //////////////////
 /**
-   \brief Creates new inputs for a misc
-   \param player the name of the Misc
+ *  Creates new inputs for a misc
+ * @param player the name of the Misc
 */
 MiscKeys::MiscKeys()
@@ -212,5 +212,5 @@
 
 /**
-   \returns the OpenButton of a Misc
+ * @returns the OpenButton of a Misc
 */
 Button* MiscKeys::getOpenButton()
@@ -221,8 +221,8 @@
 
 /**
-   \brief adds a new Key.
-   \param key the number of the Key
-   \param name The name of the new Key.
-   \returns A widget that has the Key-Box
+ *  adds a new Key.
+ * @param key the number of the Key
+ * @param name The name of the new Key.
+ * @returns A widget that has the Key-Box
 */
 Widget* addKey(const char* name, const char* defaultVal)
@@ -256,9 +256,9 @@
   
 /**
-   \brief Function which gets keystrokes
-   \param w the widget that released the Function.
-   \param event The event that happened.
-   \param Widget the Widget which will be applied.
-   \returns Nothing
+ *  Function which gets keystrokes
+ * @param w the widget that released the Function.
+ * @param event The event that happened.
+ * @param Widget the Widget which will be applied.
+ * @returns Nothing
 */
 gint key_cb(GtkWidget* w, GdkEventKey* event, void* inputKey)
Index: orxonox/trunk/src/lib/gui/gui_update.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui_update.cc	(revision 4835)
+++ orxonox/trunk/src/lib/gui/gui_update.cc	(revision 4836)
@@ -33,5 +33,5 @@
 
 /**
-   \brief Creates an Update-Frame
+ *  Creates an Update-Frame
 */
 GuiUpdate::GuiUpdate()
@@ -98,5 +98,5 @@
 
 /**
-   \brief Destructs the Update-stuff
+ *  Destructs the Update-stuff
 */
 GuiUpdate::~GuiUpdate()
@@ -106,6 +106,6 @@
 
 /**
-   \brief checks if the Folder containing selected File is data.oxd, and if so sets it.
-   \param
+ *  checks if the Folder containing selected File is data.oxd, and if so sets it.
+ * @param
 */
 bool GuiUpdate::checkDataDir(const char* fileName, void* object)
@@ -126,5 +126,5 @@
 
 /**
-    \brief Look what info we can get from this system
+  *  Look what info we can get from this system
 */
 bool GuiUpdate::getSystemInfo()
@@ -167,5 +167,5 @@
 
 /**
-   \brief Creates a window, and all it contains for the Data-update.
+ *  Creates a window, and all it contains for the Data-update.
 */
 void GuiUpdate::updateDataWindowCreate()
@@ -206,5 +206,5 @@
 
 /**
-   \returns A Pointer to the Button of the UpdaterDataWindow
+ * @returns A Pointer to the Button of the UpdaterDataWindow
 */
 Button* GuiUpdate::updateDataWindowGetButton()
@@ -214,5 +214,5 @@
 
 /**
-   \brief Creates a window, and all it contains for the Source-update.
+ *  Creates a window, and all it contains for the Source-update.
 */
 void GuiUpdate::updateSourceWindowCreate()
@@ -245,5 +245,5 @@
 
 /**
-   \returns A Pointer to the Button of the UpdaterSourceWindow
+ * @returns A Pointer to the Button of the UpdaterSourceWindow
 */
 Button* GuiUpdate::updateSourceWindowGetButton()
@@ -255,8 +255,8 @@
 #ifdef HAVE_GTK2
 /**
-   \brief updates the Data of orxonox.
-   \param w The widget, that executed this Function.
-   \param event The event that trigered this Function.
-   \param button The Button, that triggered this event.
+ *  updates the Data of orxonox.
+ * @param w The widget, that executed this Function.
+ * @param event The event that trigered this Function.
+ * @param button The Button, that triggered this event.
 */
 gint GuiUpdate::updateDataFunc(GtkWidget* w, GdkEventKey* event, void* info)
@@ -272,8 +272,8 @@
 
 /**
-   \brief updates the source of orxonox.
-   \param w The widget, that executed this Function.
-   \param event The event that trigered this Function.
-   \param button The Button, that triggered this event.
+ *  updates the source of orxonox.
+ * @param w The widget, that executed this Function.
+ * @param event The event that trigered this Function.
+ * @param button The Button, that triggered this event.
 */
 gint GuiUpdate::updateSourceFunc(GtkWidget* w, GdkEventKey* event, void* bar)
@@ -286,9 +286,9 @@
 
 /**
-   \brief The Function Curl calls to write out the File.
-   \param ptr A Pointer to the date to write.
-   \param size The size in bytes of one nmemb to write.
-   \param nmemb The Count of size to write.
-   \param stream Filehandler to write to.
+ *  The Function Curl calls to write out the File.
+ * @param ptr A Pointer to the date to write.
+ * @param size The size in bytes of one nmemb to write.
+ * @param nmemb The Count of size to write.
+ * @param stream Filehandler to write to.
 */
 size_t GuiUpdate::curlWriteFunc(void* ptr, size_t size, size_t nmemb, FILE* stream)
@@ -298,9 +298,9 @@
 
 /**
-   \brief The Function Curl calls to write out the File.
-   \param ptr A Pointer to the date to write to.
-   \param size The size in bytes of one nmemb to write.
-   \param nmemb The Count of size to write.
-   \param stream Filehandler to get data from.
+ *  The Function Curl calls to write out the File.
+ * @param ptr A Pointer to the date to write to.
+ * @param size The size in bytes of one nmemb to write.
+ * @param nmemb The Count of size to write.
+ * @param stream Filehandler to get data from.
 */
 size_t GuiUpdate::curlReadFunc(void* ptr, size_t size, size_t nmemb, FILE* stream)
@@ -311,10 +311,10 @@
 
 /**
-   \brief An update Function for the GUI, to show the progress.
-   \param Bar th ProgressBar to update
-   \param totalSize The total size of the download in bytes.
-   \param progress The current Progress of the download in bytes.
-   \param upTotal not needed
-   \param upProgress not needed
+ *  An update Function for the GUI, to show the progress.
+ * @param Bar th ProgressBar to update
+ * @param totalSize The total size of the download in bytes.
+ * @param progress The current Progress of the download in bytes.
+ * @param upTotal not needed
+ * @param upProgress not needed
 */
 int GuiUpdate::curlProgressFunc(ProgressBar* bar, double totalSize, double progress, double upTotal, double upProgress)
@@ -329,5 +329,5 @@
 
 /**
-   \brief The Curl handle for only one CURL(static).
+ *  The Curl handle for only one CURL(static).
 */
 CURL* GuiUpdate::curlHandle = NULL;
@@ -340,6 +340,6 @@
 
 /**
-   \brief Initializes a Download without displaying it.
-   \param fileInfo the FileInfo.
+ *  Initializes a Download without displaying it.
+ * @param fileInfo the FileInfo.
 
    !! BE AWARE THIS WILL NOT BE THREADED. !!
@@ -359,10 +359,10 @@
   char* fileOnNet = new char [strlen(info->webRoot)+strlen(info->fileName)+2];
   strcpy(fileOnNet, info->webRoot);
-  if(fileOnNet[strlen(fileOnNet)] != '/') //!< \todo windows-shit
+  if(fileOnNet[strlen(fileOnNet)] != '/') //!< @todo windows-shit
     strcat(fileOnNet, "/");
   strcat(fileOnNet, info->fileName);
   char* fileOnDisk = new char [strlen(info->localRoot)+strlen(info->fileName)+2];
   strcpy(fileOnDisk, info->localRoot);
-  if(fileOnDisk[strlen(fileOnDisk)] != '/') //!< \todo windows-shit
+  if(fileOnDisk[strlen(fileOnDisk)] != '/') //!< @todo windows-shit
     strcat(fileOnDisk, "/");
   strcat(fileOnDisk, info->fileName);
@@ -387,7 +387,7 @@
 
 /**
-   \brief Initializes a Download with some style.
-   \param fileInfo the FileInfo.
-   \todo release thread-lock.
+ *  Initializes a Download with some style.
+ * @param fileInfo the FileInfo.
+   @todo release thread-lock.
 
    Downloading with a Button that gets a different Name while downloading, and a Bar, that gets to be updated. More to be followed
@@ -447,8 +447,8 @@
 
 /**
-   \brief The downloading process(either threaded or not).
-   \param fileInfo the FileInfo.
-
-   \todo Threads get locked, if the cancel button is pressed in to small intervals.
+ *  The downloading process(either threaded or not).
+ * @param fileInfo the FileInfo.
+
+   @todo Threads get locked, if the cancel button is pressed in to small intervals.
 */
 void* GuiUpdate::downloadThread(void* fileInfo)
@@ -459,6 +459,6 @@
 
 /**
-   \brief Finishes a downloading process.
-   \param fileInfo the FileInfo.
+ *  Finishes a downloading process.
+ * @param fileInfo the FileInfo.
 */
 void* GuiUpdate::downloadThreadFinished(void* fileInfo)
@@ -485,10 +485,10 @@
 #ifdef HAVE_GTK2
 /**
-   \brief canceles a downloading session.
-   \param w The widget, that executed this Function.
-   \param event The event that trigered this Function.
-   \param bar The Bar, that triggered this event.
-
-   \todo canceling a session in non-threaded mode.
+ *  canceles a downloading session.
+ * @param w The widget, that executed this Function.
+ * @param event The event that trigered this Function.
+ * @param bar The Bar, that triggered this event.
+
+   @todo canceling a session in non-threaded mode.
 */
 gint GuiUpdate::cancelDownload(GtkWidget* w, GdkEventKey* event, void* bar)
Index: orxonox/trunk/src/lib/gui/gui_update.h
===================================================================
--- orxonox/trunk/src/lib/gui/gui_update.h	(revision 4835)
+++ orxonox/trunk/src/lib/gui/gui_update.h	(revision 4836)
@@ -51,5 +51,5 @@
   Button* updateDataBegin;              //!< A Button to start the process.
 
-  Button* updateSourceWindowButton;     //!< A Button to update the Source of orxonox. \todo tricky
+  Button* updateSourceWindowButton;     //!< A Button to update the Source of orxonox. @todo tricky
   Window* updateSourceWindow;           //!< A Window for the Source-update.
   Box* updateSourceBox;                 //!< A Box for the Window for the Source-update.
Index: orxonox/trunk/src/lib/gui/gui_video.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui_video.cc	(revision 4835)
+++ orxonox/trunk/src/lib/gui/gui_video.cc	(revision 4836)
@@ -32,5 +32,5 @@
 
 /**
-   \brief Creates the Video-Option-Frame
+ *  Creates the Video-Option-Frame
 */
 GuiVideo::GuiVideo()
@@ -74,5 +74,5 @@
 
 /**
-   \brief Destructs the Video-stuff
+ *  Destructs the Video-stuff
 */
 GuiVideo::~GuiVideo()
@@ -82,5 +82,5 @@
 
 /**
-   \brief Creates a window, and all it contains for the Source-update.
+ *  Creates a window, and all it contains for the Source-update.
 */
 Widget* GuiVideo::advancedWindowCreate()
@@ -185,6 +185,6 @@
 
 /**
-   \brief sets all resolutions to the menu
-   \param menu the Menu to set The resolutions to.
+ *  sets all resolutions to the menu
+ * @param menu the Menu to set The resolutions to.
 */
 void GuiVideo::getResolutions(Menu* menu)
Index: orxonox/trunk/src/lib/lang/base_object.cc
===================================================================
--- orxonox/trunk/src/lib/lang/base_object.cc	(revision 4835)
+++ orxonox/trunk/src/lib/lang/base_object.cc	(revision 4836)
@@ -27,6 +27,6 @@
 
 /**
-   \brief sets the name from a LoadXML-Element
-   \param root the element to load from
+ *  sets the name from a LoadXML-Element
+ * @param root the element to load from
 */
 BaseObject::BaseObject(const TiXmlElement* root)
@@ -45,5 +45,5 @@
 
 /**
-   \brief standard deconstructor
+ *  standard deconstructor
 */
 BaseObject::~BaseObject ()
@@ -56,6 +56,6 @@
 
 /**
-   \brief loads parameters
-   \param root the element to load from
+ *  loads parameters
+ * @param root the element to load from
 */
 void BaseObject::loadParams(const TiXmlElement* root)
@@ -67,7 +67,7 @@
 
 /**
-   \brief sets the class identifiers
-   \param id a number for the class from class_id.h enumeration
-   \param className the class name
+ *  sets the class identifiers
+ * @param id a number for the class from class_id.h enumeration
+ * @param className the class name
 */
 void BaseObject::setClassID(long classID, const char* className)
@@ -97,7 +97,7 @@
 
 /**
-   \brief checks if the class is a classID
-   \param classID the Identifier to check for
-   \returns true if it is, false otherwise
+ *  checks if the class is a classID
+ * @param classID the Identifier to check for
+ * @returns true if it is, false otherwise
 */
 bool BaseObject::isA (long classID) const
@@ -118,5 +118,5 @@
 
 /**
- * @brief displays everything this class is
+ *  displays everything this class is
  */
 void BaseObject::whatIs() const
Index: orxonox/trunk/src/lib/lang/base_object.h
===================================================================
--- orxonox/trunk/src/lib/lang/base_object.h	(revision 4835)
+++ orxonox/trunk/src/lib/lang/base_object.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*!
     \file base_object.h
-    \brief Definition of the base object class.
+  *  Definition of the base object class.
 
     This is a global handler for all classes.
@@ -30,7 +30,7 @@
   inline const char* getName ()const { return this->objectName; };
 
-  /** \returns the className of the corresponding Object */
+  /** @returns the className of the corresponding Object */
   inline const char* getClassName() const { return this->className; };
-  /** \returns the classID of the corresponding Object */
+  /** @returns the classID of the corresponding Object */
   inline int getClassID() const { return this->classID; }
 
@@ -38,5 +38,5 @@
   void whatIs() const;
 
-  /** \returns if the object is finalized */
+  /** @returns if the object is finalized */
   inline bool isFinalized() { return this->finalized; }
 
Index: orxonox/trunk/src/lib/lang/class_list.cc
===================================================================
--- orxonox/trunk/src/lib/lang/class_list.cc	(revision 4835)
+++ orxonox/trunk/src/lib/lang/class_list.cc	(revision 4836)
@@ -29,5 +29,5 @@
 
 /**
-   \brief Creates a new ClassList
+ *  Creates a new ClassList
 */
 ClassList::ClassList(const long& classID, const char* className)
@@ -43,5 +43,5 @@
 
 /**
-   \brief standard deconstructor
+ *  standard deconstructor
 */
 ClassList::~ClassList ()
Index: orxonox/trunk/src/lib/lang/class_list.h
===================================================================
--- orxonox/trunk/src/lib/lang/class_list.h	(revision 4835)
+++ orxonox/trunk/src/lib/lang/class_list.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*!
     \file class_list.h
-    \brief Definition of the Class List, that handles a Class-Specific-Control structure
+  *  Definition of the Class List, that handles a Class-Specific-Control structure
 
  */
Index: orxonox/trunk/src/lib/math/curve.cc
===================================================================
--- orxonox/trunk/src/lib/math/curve.cc	(revision 4835)
+++ orxonox/trunk/src/lib/math/curve.cc	(revision 4836)
@@ -34,5 +34,5 @@
 
 /** 
-    \brief default constructor for a Curve
+  *  default constructor for a Curve
 */
 Curve::Curve()
@@ -48,6 +48,6 @@
 
 /**
-   \brief adds a new Node to the bezier Curve
-   \param newNode a Vector to the position of the new node
+ *  adds a new Node to the bezier Curve
+ * @param newNode a Vector to the position of the new node
 */
 void Curve::addNode(const Vector& newNode)
@@ -65,7 +65,7 @@
 
 /**
-   \brief adds a new Node to the bezier Curve
-   \param newNode a Vector to the position of the new node
-   \param insertPosition after the n-th node the new node will be inserted
+ *  adds a new Node to the bezier Curve
+ * @param newNode a Vector to the position of the new node
+ * @param insertPosition after the n-th node the new node will be inserted
 */
 void Curve::addNode(const Vector& newNode, unsigned int insertPosition)
@@ -111,7 +111,7 @@
 
 /**
-   \brief Finds a Node by its Number, and returns its Position
-   \param nodeToFind the n'th node in the List of nodes
-   \returns A Vector to the Position of the Node.
+ *  Finds a Node by its Number, and returns its Position
+ * @param nodeToFind the n'th node in the List of nodes
+ * @returns A Vector to the Position of the Node.
 */
 Vector Curve::getNode(unsigned int nodeToFind)
@@ -126,5 +126,5 @@
 
 /**
-   \brief Outputs information about the state of this Curve
+ *  Outputs information about the state of this Curve
 */
 void Curve::debug()
@@ -148,5 +148,5 @@
 
 /**
-   \brief Creates a new BezierCurve
+ *  Creates a new BezierCurve
 */
 BezierCurve::BezierCurve ()
@@ -157,5 +157,5 @@
 
 /**
-   \brief Creates a new BezierCurve-Derivation-Curve
+ *  Creates a new BezierCurve-Derivation-Curve
 */
 BezierCurve::BezierCurve (int derivation)
@@ -166,5 +166,5 @@
 
 /**
-   \brief Deletes a BezierCurve.
+ *  Deletes a BezierCurve.
 
    It does this by freeing all the space taken over from the nodes
@@ -185,5 +185,5 @@
 
 /**
-   \brief Rebuilds a Curve
+ *  Rebuilds a Curve
 */
 void BezierCurve::rebuild()
@@ -225,7 +225,7 @@
 
 /**
-   \brief calculates the Position on the curve
-   \param t The position on the Curve (0<=t<=1)
-   \return the Position on the Path
+ *  calculates the Position on the curve
+ * @param t The position on the Curve (0<=t<=1)
+ * @return the Position on the Path
 */
 Vector BezierCurve::calcPos(float t) 
@@ -257,7 +257,7 @@
 
 /**
-   \brief Calulates the direction of the Curve at time t.
-   \param t The time at which to evaluate the curve.
-   \returns The valuated Vector.
+ *  Calulates the direction of the Curve at time t.
+ * @param t The time at which to evaluate the curve.
+ * @returns The valuated Vector.
 */
 Vector BezierCurve::calcDir (float t)
@@ -267,7 +267,7 @@
 
 /**
-   \brief Calulates the acceleration (second derivate) of the Curve at time t.
-   \param t The time at which to evaluate the curve.
-   \returns The valuated Vector.
+ *  Calulates the acceleration (second derivate) of the Curve at time t.
+ * @param t The time at which to evaluate the curve.
+ * @returns The valuated Vector.
 */
 Vector BezierCurve::calcAcc (float t)
@@ -277,7 +277,7 @@
 
 /**
-   \brief Calculates the Quaternion needed for our rotations
-   \param t The time at which to evaluate the cuve.
-   \returns The evaluated Quaternion.
+ *  Calculates the Quaternion needed for our rotations
+ * @param t The time at which to evaluate the cuve.
+ * @returns The evaluated Quaternion.
 */
 Quaternion BezierCurve::calcQuat (float t)
Index: orxonox/trunk/src/lib/math/curve.h
===================================================================
--- orxonox/trunk/src/lib/math/curve.h	(revision 4835)
+++ orxonox/trunk/src/lib/math/curve.h	(revision 4836)
@@ -2,5 +2,5 @@
 /*!
     \file curve.h
-    \brief A basic 3D curve framework
+  *  A basic 3D curve framework
 
     Contains classes to handle curves
@@ -36,16 +36,16 @@
   void addNode(const Vector& newNode, unsigned int insertPosition);
   Vector getNode(unsigned int nodeToFind);
-  /** \returns the count of nodes in this curve */
+  /** @returns the count of nodes in this curve */
   inline int getNodeCount() const { return this->nodeCount; };
-  /** \returns the directional Curve */
+  /** @returns the directional Curve */
   Curve* getDirCurve() const { return this->dirCurve; };
 
-  /** \param t the value on the curve [0-1] \returns Vector to the position */
+  /** @param t the value on the curve [0-1] @returns Vector to the position */
   virtual Vector calcPos(float t) = 0;
-  /** \param t the value on the curve [0-1] \returns the direction */
+  /** @param t the value on the curve [0-1] @returns the direction */
   virtual Vector calcDir(float t) = 0;
-  /** \param t the value on the curve [0-1] \returns the acceleration */
+  /** @param t the value on the curve [0-1] @returns the acceleration */
   virtual Vector calcAcc(float t) = 0;
-  /** \param t the value on the curve [0-1] \returns quaternion of the rotation */
+  /** @param t the value on the curve [0-1] @returns quaternion of the rotation */
   virtual Quaternion calcQuat(float t) = 0;
 
Index: orxonox/trunk/src/lib/math/vector.cc
===================================================================
--- orxonox/trunk/src/lib/math/vector.cc	(revision 4835)
+++ orxonox/trunk/src/lib/math/vector.cc	(revision 4836)
@@ -28,5 +28,5 @@
 /////////////
 /**
-   \brief returns the this-vector normalized to length 1.0
+ *  returns the this-vector normalized to length 1.0
 */
 Vector Vector::getNormalized() const
@@ -46,5 +46,5 @@
 
 /**
-   \brief Vector is looking in the positive direction on all axes after this
+ *  Vector is looking in the positive direction on all axes after this
 */
 Vector Vector::abs()
@@ -57,5 +57,5 @@
 
 /**
-   \brief Outputs the values of the Vector
+ *  Outputs the values of the Vector
 */
 void Vector::debug() const
@@ -71,7 +71,7 @@
 /////////////////
 /**
-   \brief calculates a lookAt rotation
-   \param dir: the direction you want to look
-   \param up: specify what direction up should be
+ *  calculates a lookAt rotation
+ * @param dir: the direction you want to look
+ * @param up: specify what direction up should be
 
    Mathematically this determines the rotation a (0,0,1)-Vector has to undergo to point
@@ -112,8 +112,8 @@
 
 /**
-   \brief calculates a rotation from euler angles
-   \param roll: the roll in radians
-   \param pitch: the pitch in radians
-   \param yaw: the yaw in radians
+ *  calculates a rotation from euler angles
+ * @param roll: the roll in radians
+ * @param pitch: the pitch in radians
+ * @param yaw: the yaw in radians
 */
 Quaternion::Quaternion (float roll, float pitch, float yaw)
@@ -140,7 +140,7 @@
 
 /**
-   \brief rotates one Quaternion by another
-   \param q: another Quaternion to rotate this by
-   \return a quaternion that represents the first one rotated by the second one (WARUNING: this operation is not commutative! e.g. (A*B) != (B*A))
+ *  rotates one Quaternion by another
+ * @param q: another Quaternion to rotate this by
+ * @return a quaternion that represents the first one rotated by the second one (WARUNING: this operation is not commutative! e.g. (A*B) != (B*A))
 */
 Quaternion Quaternion::operator*(const Quaternion& q) const
@@ -167,7 +167,7 @@
 
 /**
-   \brief rotate a Vector by a Quaternion
-   \param v: the Vector
-   \return a new Vector representing v rotated by the Quaternion
+ *  rotate a Vector by a Quaternion
+ * @param v: the Vector
+ * @return a new Vector representing v rotated by the Quaternion
 */
 
@@ -183,7 +183,7 @@
 
 /**
-   \brief multiply a Quaternion with a real value
-   \param f: a real value
-   \return a new Quaternion containing the product
+ *  multiply a Quaternion with a real value
+ * @param f: a real value
+ * @return a new Quaternion containing the product
 */
 Quaternion Quaternion::operator*(const float& f) const
@@ -196,7 +196,7 @@
 
 /**
-   \brief divide a Quaternion by a real value
-   \param f: a real value
-   \return a new Quaternion containing the quotient
+ *  divide a Quaternion by a real value
+ * @param f: a real value
+ * @return a new Quaternion containing the quotient
 */
 Quaternion Quaternion::operator/(const float& f) const
@@ -210,6 +210,6 @@
 
 /**
-   \brief calculate the conjugate value of the Quaternion
-   \return the conjugate Quaternion
+ *  calculate the conjugate value of the Quaternion
+ * @return the conjugate Quaternion
 */
 /*
@@ -223,6 +223,6 @@
 
 /**
-   \brief calculate the norm of the Quaternion
-   \return the norm of The Quaternion
+ *  calculate the norm of the Quaternion
+ * @return the norm of The Quaternion
 */
 float Quaternion::norm() const
@@ -232,6 +232,6 @@
 
 /**
-   \brief calculate the inverse value of the Quaternion
-   \return the inverse Quaternion
+ *  calculate the inverse value of the Quaternion
+ * @return the inverse Quaternion
 
         Note that this is equal to conjugate() if the Quaternion's norm is 1
@@ -248,6 +248,6 @@
 
 /**
-   \brief convert the Quaternion to a 4x4 rotational glMatrix
-   \param m: a buffer to store the Matrix in
+ *  convert the Quaternion to a 4x4 rotational glMatrix
+ * @param m: a buffer to store the Matrix in
 */
 void Quaternion::matrix (float m[4][4]) const
@@ -277,10 +277,10 @@
 
 /**
-   \brief performs a smooth move.
-   \param from  where
-   \param to where
-   \param t the time this transformation should take value [0..1]
-
-   \returns the Result of the smooth move
+ *  performs a smooth move.
+ * @param from  where
+ * @param to where
+ * @param t the time this transformation should take value [0..1]
+
+ * @returns the Result of the smooth move
 */
 Quaternion quatSlerp(const Quaternion& from, const Quaternion& to, float t)
@@ -339,6 +339,6 @@
 
 /**
-   \brief convert a rotational 4x4 glMatrix into a Quaternion
-   \param m: a 4x4 matrix in glMatrix order
+ *  convert a rotational 4x4 glMatrix into a Quaternion
+ * @param m: a 4x4 matrix in glMatrix order
 */
 Quaternion::Quaternion (float m[4][4])
@@ -389,5 +389,5 @@
 
 /**
-   \brief outputs some nice formated debug information about this quaternion
+ *  outputs some nice formated debug information about this quaternion
 */
 void Quaternion::debug()
@@ -398,6 +398,6 @@
 
 /**
-   \brief create a rotation from a vector
-   \param v: a vector
+ *  create a rotation from a vector
+ * @param v: a vector
 */
 Rotation::Rotation (const Vector& v)
@@ -421,7 +421,7 @@
 
 /**
-   \brief creates a rotation from an axis and an angle (radians!)
-   \param axis: the rotational axis
-   \param angle: the angle in radians
+ *  creates a rotation from an axis and an angle (radians!)
+ * @param axis: the rotational axis
+ * @param angle: the angle in radians
 */
 Rotation::Rotation (const Vector& axis, float angle)
@@ -442,8 +442,8 @@
 
 /**
-   \brief creates a rotation from euler angles (pitch/yaw/roll)
-   \param pitch: rotation around z (in radians)
-   \param yaw: rotation around y (in radians)
-   \param roll: rotation around x (in radians)
+ *  creates a rotation from euler angles (pitch/yaw/roll)
+ * @param pitch: rotation around z (in radians)
+ * @param yaw: rotation around y (in radians)
+ * @param roll: rotation around x (in radians)
 */
 Rotation::Rotation ( float pitch, float yaw, float roll)
@@ -468,5 +468,5 @@
 
 /**
-   \brief creates a nullrotation (an identity rotation)
+ *  creates a nullrotation (an identity rotation)
 */
 Rotation::Rotation ()
@@ -484,6 +484,6 @@
 
 /**
-   \brief fills the specified buffer with a 4x4 glmatrix
-   \param buffer: Pointer to an array of 16 floats
+ *  fills the specified buffer with a 4x4 glmatrix
+ * @param buffer: Pointer to an array of 16 floats
 
    Use this to get the rotation in a gl-compatible format
@@ -510,7 +510,7 @@
 
 /**
-   \brief multiplies two rotational matrices
-   \param r: another Rotation
-   \return the matrix product of the Rotations
+ *  multiplies two rotational matrices
+ * @param r: another Rotation
+ * @return the matrix product of the Rotations
 
    Use this to rotate one rotation by another
@@ -537,8 +537,8 @@
 
 /**
-   \brief rotates the vector by the given rotation
-   \param v: a vector
-   \param r: a rotation
-   \return the rotated vector
+ *  rotates the vector by the given rotation
+ * @param v: a vector
+ * @param r: a rotation
+ * @return the rotated vector
 */
 Vector rotateVector( const Vector& v, const Rotation& r)
@@ -554,7 +554,7 @@
 
 /**
-   \brief calculate the distance between two lines
-   \param l: the other line
-   \return the distance between the lines
+ *  calculate the distance between two lines
+ * @param l: the other line
+ * @return the distance between the lines
 */
 float Line::distance (const Line& l) const
@@ -569,7 +569,7 @@
 
 /**
-   \brief calculate the distance between a line and a point
-   \param v: the point
-   \return the distance between the Line and the point
+ *  calculate the distance between a line and a point
+ * @param v: the point
+ * @return the distance between the Line and the point
 */
 float Line::distancePoint (const Vector& v) const
@@ -581,7 +581,7 @@
 
 /**
-   \brief calculate the distance between a line and a point
-   \param v: the point
-   \return the distance between the Line and the point
+ *  calculate the distance between a line and a point
+ * @param v: the point
+ * @return the distance between the Line and the point
  */
 float Line::distancePoint (const sVec3D& v) const
@@ -594,7 +594,7 @@
 
 /**
-   \brief calculate the two points of minimal distance of two lines
-   \param l: the other line
-   \return a Vector[2] (!has to be deleted after use!) containing the two points of minimal distance
+ *  calculate the two points of minimal distance of two lines
+ * @param l: the other line
+ * @return a Vector[2] (!has to be deleted after use!) containing the two points of minimal distance
 */
 Vector* Line::footpoints (const Line& l) const
@@ -618,6 +618,6 @@
 
 /**
-   \brief rotate the line by given rotation
-   \param rot: a rotation
+ *  rotate the line by given rotation
+ * @param rot: a rotation
 */
 void Line::rotate (const Rotation& rot)
@@ -630,8 +630,8 @@
 
 /**
-   \brief create a plane from three points
-   \param a: first point
-   \param b: second point
-   \param c: third point
+ *  create a plane from three points
+ * @param a: first point
+ * @param b: second point
+ * @param c: third point
 */
 Plane::Plane (Vector a, Vector b, Vector c)
@@ -642,7 +642,7 @@
 
 /**
-   \brief create a plane from anchor point and normal
-   \param norm: normal vector
-   \param p: anchor point
+ *  create a plane from anchor point and normal
+ * @param norm: normal vector
+ * @param p: anchor point
 */
 Plane::Plane (Vector norm, Vector p)
@@ -654,7 +654,7 @@
 
 /**
-    \brief create a plane from anchor point and normal
-    \param norm: normal vector
-    \param p: anchor point
+  *  create a plane from anchor point and normal
+  * @param norm: normal vector
+  * @param p: anchor point
 */
 Plane::Plane (Vector norm, sVec3D g)
@@ -667,6 +667,6 @@
 
 /**
-   \brief returns the intersection point between the plane and a line
-   \param l: a line
+ *  returns the intersection point between the plane and a line
+ * @param l: a line
 */
 Vector Plane::intersectLine (const Line& l) const
@@ -678,7 +678,7 @@
 
 /**
-   \brief returns the distance between the plane and a point
-   \param p: a Point
-   \return the distance between the plane and the point (can be negative)
+ *  returns the distance between the plane and a point
+ * @param p: a Point
+ * @return the distance between the plane and the point (can be negative)
 */
 float Plane::distancePoint (const Vector& p) const
@@ -691,7 +691,7 @@
 
 /**
-   \brief returns the distance between the plane and a point
-   \param p: a Point
-   \return the distance between the plane and the point (can be negative)
+ *  returns the distance between the plane and a point
+ * @param p: a Point
+ * @return the distance between the plane and the point (can be negative)
  */
 float Plane::distancePoint (const sVec3D& p) const
@@ -705,7 +705,7 @@
 
 /**
-   \brief returns the side a point is located relative to a Plane
-   \param p: a Point
-   \return 0 if the point is contained within the Plane, positive(negative) if the point is in the positive(negative) semi-space of the Plane
+ *  returns the side a point is located relative to a Plane
+ * @param p: a Point
+ * @return 0 if the point is contained within the Plane, positive(negative) if the point is in the positive(negative) semi-space of the Plane
 */
 float Plane::locatePoint (const Vector& p) const
